Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038437
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-04-24 14:022018-05-09 19:29
ReporterucarrionView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision7b899caa2ef2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038437: Scheduled proccess request launchs one repetition more than requested

DescriptionScheduled proccess request launchs one repetition more than requested
Steps To Reproduce+ Log in backend
+ Navigate to “Process Request” window
+ Create a new record
+ Process ‘Alert Process’
+ Timming ‘Schedule’
+ Start date: current
+ Start time: 2 minutes later
+ Frecuency: 01 – Every n seconds
+ Interval in seconds: 20
+ Repetitions: 3
+ Finishes checkbox: unselected
+ Schedule process
+ In the popup, press close
+ Wait for 2 minutes aprox.
+ Refresh process monitor tab
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104087)
hgbot (developer)
2018-04-26 09:45

Repository: erp/devel/pi
Changeset: 7b899caa2ef2cc40404c86975dc143a1fdabff57
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Apr 26 09:24:04 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7b899caa2ef2cc40404c86975dc143a1fdabff57 [^]

Fixes issue 38437: Scheduled process launches one repetition more than expected.

Improved description of repetition fields to express clearly the meaning of this
value. N repetitions means that the job will be executed N+1 times.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0104088)
jarmendariz (developer)
2018-04-26 09:50

According to the documentation of Quartz scheduler, this behavior is the expected:

http://www.quartz-scheduler.org/documentation/quartz-2.x/tutorials/tutorial-lesson-05.html [^]

Using a "num repetitions" value of 3, process should be scheduled the first time and then it will be repeated 3 more times giving a total of 4 executions.
(0104152)
hgbot (developer)
2018-04-27 10:51

Repository: erp/pmods/org.openbravo.utility.zoho
Changeset: bff0d2d3990ff1f47c52e944ae097d502661108b
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Apr 27 10:40:22 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.utility.zoho/rev/bff0d2d3990ff1f47c52e944ae097d502661108b [^]

Related to issue 38437: Scheduled process launches on more time than expected.

Updated number of repetitions fields description and help text.

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0104153)
hgbot (developer)
2018-04-27 10:52

Repository: erp/devel/pi
Changeset: bc87a9f043b8ef2f6c8facc67f0d64e6f0f5afb0
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Apr 27 09:53:25 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bc87a9f043b8ef2f6c8facc67f0d64e6f0f5afb0 [^]

Related to issue 38437: Scheduled process launches one time more than expected.

Improved description and help text to make fields intention clearer.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0104156)
caristu (developer)
2018-04-27 12:15

Reviewed
(0104400)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104410)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-04-24 14:02 ucarrion New Issue
2018-04-24 14:02 ucarrion Assigned To => platform
2018-04-24 14:02 ucarrion Modules => Core
2018-04-24 14:02 ucarrion Triggers an Emergency Pack => No
2018-04-25 13:03 jarmendariz Status new => scheduled
2018-04-25 13:03 jarmendariz Assigned To platform => jarmendariz
2018-04-26 09:45 hgbot Checkin
2018-04-26 09:45 hgbot Note Added: 0104087
2018-04-26 09:45 hgbot Status scheduled => resolved
2018-04-26 09:45 hgbot Resolution open => fixed
2018-04-26 09:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7b899caa2ef2cc40404c86975dc143a1fdabff57 [^]
2018-04-26 09:50 jarmendariz Note Added: 0104088
2018-04-26 09:51 jarmendariz Review Assigned To => caristu
2018-04-27 10:51 hgbot Checkin
2018-04-27 10:51 hgbot Note Added: 0104152
2018-04-27 10:52 hgbot Checkin
2018-04-27 10:52 hgbot Note Added: 0104153
2018-04-27 12:15 caristu Note Added: 0104156
2018-04-27 12:15 caristu Status resolved => closed
2018-04-27 12:15 caristu Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104400
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104410


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker